@import '../../../../../../../../../vendor/scandipwa/source/src/app/component/Header/Header.style';

:root {
    --header-background: var(--primary-base-color);
    --header-color: #fff;
    --header-height: 60px;
    --header-nav-height: 60px;
    --header-search-clear-background: #fff;
    --header-desktop-button-color: #fff;
    --header-border: 1px solid var(--grey-6-color);
    --header-top-menu-height: 0;
    --header-total-height: calc(
        var(--header-height) + var(--offline-notice-height) + var(--demo-notice-height) + var(--header-top-menu-height) +
            var(--header-info-bar-height)
    );
    --header-logo-height: auto;

    @include after-mobile {
        --header-height: 72px;
        --header-nav-height: 72px;
        --header-top-menu-height: 50px;
        --header-total-height: calc(
            var(--header-height) + var(--offline-notice-height) + var(--demo-notice-height) +
                var(--header-top-menu-height) + var(--header-info-bar-height) + 20px
        );
    }

    .prm {
        --header-background: #fff;
        --header-color: #292929;
        --header-border: 1px solid var(--grey-5-color);
    }
}

.Header {
    &_theme {
        &_default {
            --header-background: var(--header-background);

            #{&}-TopMenu {
                background: var(--header-background);
            }
        }

        &_transparent {
            --header-background: transparent;
            --search-field-background: transparent;
            --search-field-visible-background: transparent;
            --header-border: 1px solid white;

            position: absolute;

            .SearchField-Input {
                color: #a3a3a3;
                background-color: transparent;
            }
        }
    }

    transition: transform 200ms cubic-bezier(0.47, 0, 0.745, 0.715);

    @at-root .hiddenHeader {
        @include before-desktop {
            /* stylelint-disable-next-line length-zero-no-unit */
            --header-height: auto;
        }
    }

    &_isHiddenOnMobile {
        @include before-desktop {
            opacity: 1;
            pointer-events: none;
        }
    }

    &-Title {
        margin-left: 1rem;
        font-size: 14px;
        font-weight: 500;
        text-align: left;
        text-transform: none;

        &_isVisible {
            @include before-desktop {
                max-width: 100%;
                position: initial;
                opacity: 1;
            }
        }
    }

    &-Nav {
        max-width: var(--wide-content-wrapper-width);
        padding: 0;
        border-top: var(--header-border);
        border-bottom: var(--header-border);
        background: var(--header-background);

        h2 {
            font-family: $font-work-sans;
        }
    }

    &-MenuWrapper {
        height: 100%;
    }

    &-Button {
        height: 100%;

        &_isOpen {
            pointer-events: none !important;
        }

        &_isVisible {
            @include before-desktop {
                width: 45px;
            }
        }

        &_type_account,
        &_type_wishlist,
        &_type_club,
        &_type_minicart {
            @include desktop {
                @include button-visible;
                width: 97px;

                height: var(--header-height);
                border: var(--header-border);
                margin-left: -1px;
            }

            &::before {
                width: unset;
                height: unset;
                border: none;
                position: absolute;
            }

            &::after {
                display: none;
            }
        }

        &_type {
            &_close {
                height: 28px;
                max-width: 28px;
                border-radius: 50%;
                background: white;

                &::before,
                &::after {
                    height: 17px;
                    top: 6px;
                    background-color: var(--header-background);
                }

                &.Header-Button_isVisible {
                    margin-right: 1rem;
                }
            }

            &_back {
                &::before {
                    display: none;
                }

                &::after {
                    width: 6px;
                    height: 6px;
                    top: 23px;
                    left: 20px;

                    @include tablet {
                        top: 32px;
                    }
                }
            }

            &_menu {
                border-right: var(--header-border);

                @mixin menuButton {
                    &.Header-Button_isVisible {
                        width: 56px;
                    }

                    &::before {
                        width: 22px;
                        height: 14px;
                        border: none;
                        top: 50%;
                        left: 50%;
                        transform: translate(-50%, -50%);
                        background: none;
                        box-shadow: none;
                        content: url('../../style/images/hamburger.svg');
                    }

                    &::after {
                        display: none;
                    }
                }

                @include mobile {
                    @include menuButton;
                }

                @include tablet {
                    @include menuButton;
                }

                @include desktop {
                    display: none;
                }
            }

            &_minicart {
                &::before {
                    top: 21px;
                    left: 33px;
                    content: url('../../style/images/cart.svg');
                    filter: brightness(0) invert(1);

                    @include tablet {
                        left: 17px;
                    }

                    @include mobile {
                        top: 10px;
                        left: 1px;
                        transform: scale(0.75);
                    }
                }

                @include desktop {
                    margin-right: 0;
                }

                &.Header-Button_isVisible {
                    @include mobile {
                        padding-right: 48px;
                    }

                    @include tablet {
                        padding-right: 60px;
                    }
                }
            }

            &_wishlist {
                &::before {
                    top: 26px;
                    left: 37px;
                    content: url('../../style/images/star.svg');

                    @include tablet {
                        left: 21px;
                    }

                    @include mobile {
                        top: 15px;
                        left: 12px;
                        transform: scale(0.75);
                    }
                }
            }

            &_club {
                &::before {
                    top: 27px;
                    left: 35px;
                    content: url('../../style/images/crown.svg');

                    @include tablet {
                        left: 20px;
                    }
                }
            }

            &_account {
                &::before {
                    top: 23px;
                    left: 1px;
                    content: url('../../style/images/user.svg');
                }
            }

            &_lang {
                display: flex;
                width: 62px;
                height: 100%;
                border-left: var(--header-border);
                align-items: center;
                justify-content: center;

                img {
                    width: 16px;
                    height: 16px;
                    border-radius: 50%;
                    object-fit: cover;
                }

                @include after-mobile {
                    opacity: 1;
                }
            }

            &_search {
                border-left: var(--header-border);

                &::before {
                    position: absolute;
                    top: 21px;
                    left: 21px;
                    transform: scale(1.15);
                    content: url('../../style/images/search.svg');
                    filter: brightness(0.775);

                    @include tablet {
                        top: 32px;
                        transform: scale(1.5);
                    }
                }
            }

            &_checkoutBack {
                width: unset;
                padding-left: 45px;
                position: absolute;
                color: white;

                > span {
                    @include mobile {
                        display: none;
                    }

                    &::before {
                        content: '\00a0 ';
                    }
                }

                &::before {
                    @include small-arrow(7px, $white);
                    @include small-arrow-left;
                    top: 23px;
                    left: 25px;

                    @include after-mobile {
                        top: 31px;
                    }
                }
            }
        }

        &_isHighlighted {
            &::before {
                filter: brightness(2);
            }
        }
    }

    &-LogoWrapper {
        @include desktop {
            @include logo-visible;
        }

        &_isVisible {
            @include before-desktop {
                max-width: 123px;
                // margin-top: 18px;
                position: static;
                opacity: 1;
            }

            @include tablet {
                max-width: 200px;
            }
        }
    }

    .Menu-MenuWrapper {
        height: var(--header-top-menu-height);
        max-width: var(--wide-content-wrapper-width);
        padding: 0;
        border: var(--header-border);
        border-top: 0;
        margin: 0 auto;
        background: var(--header-background);

        @include desktop {
            border-bottom: 0;
        }

        @include mobile {
            display: none;
        }
    }

    .Menu-ItemList {
        display: flex;
        width: 100%;
        max-width: var(--content-wrapper-width);
        padding: 0 35px 0 0;
        margin: 0 auto;
        justify-content: space-between;

        @include after-mobile {
            &_type_subcategory {
                padding: 0;
            }
        }

        @include tablet {
            padding: 0 5px;
        }
    }

    .Menu-Item {
        display: inline-block;
        padding-left: 0;
        margin-bottom: 0;
        flex-grow: 1;
        font-size: 16px;
        text-align: center;
        white-space: nowrap;

        @include tablet {
            font-size: 13px;
        }

        &::before {
            content: none;
        }

        &:last-child {
            margin-bottom: 0;
        }

        a {
            color: $white;

            &:hover,
            &:focus {
                text-decoration: none;
            }
        }

        &_diamond {
            &::before {
                display: inline-block;
                margin-right: 12px;
                top: 16px;
                left: 5px;
                transform: scale(1.2);
                content: url('../../style/images/premium.svg');
                filter: invert(1);

                @include tablet {
                    margin-right: 5px;
                    transform: none;
                }
            }
        }
    }

    &-TopMenuButton,
    &-Link {
        display: block;
        padding: 15px 5px 14px;
        border-bottom: var(--header-border);
        cursor: pointer;
    }

    &-MinicartItemCount {
        top: 21px;
        transform: translateX(-13px);
        background: var(--secondary-base-color);

        @include before-desktop {
            color: #000;
        }

        @include after-mobile {
            top: 31px;
            transform: translateX(0);
        }

        @include desktop {
            transform: translateX(45px);
        }
    }

    &-WishlistItemCount {
        top: 29px;
        transform: translateX(15px);
        background: $white;

        @include after-mobile {
            top: 39px;
            transform: translateX(42px);
        }

        @include tablet {
            transform: translateX(25px);
        }
    }

    &-MinicartButtonWrapper {
        width: 100%;
        height: 100%;
        border-right: none;
        margin: 0;
        position: absolute;
        z-index: 1111111;

        &_isOpen {
            pointer-events: none;
        }
    }

    &-Count {
        display: inline-block;
        min-width: 17px;
        padding: 0 2px 1px;
        border: 2px solid #000;
        border-radius: 8px;
        position: absolute;
        font-size: 12px;
        font-weight: bold;
        text-align: center;
        line-height: 12px;
    }

    &-WishlistButton {
        width: 100%;
        height: 100%;
        position: absolute;
        top: 0;
        left: 0;
        z-index: 1;
    }

    &-Language {
        height: 100%;
        cursor: pointer;

        @include before-desktop {
            display: none;
        }
    }

    &_isCheckout {
        .Header {
            &-TopMenu,
            &-Button {
                display: none;
            }

            &-Button_type_checkoutBack {
                display: block;
                overflow: visible;
                left: 0;
                opacity: 1;
                pointer-events: all;
            }

            &-Nav {
                @include mobile {
                    padding-right: 0;
                }
            }
        }

        @at-root .checkout {
            --header-top-menu-height: 0;
        }
    }
}

.Theme:not(.Theme_transparent-header) {
    .Header {
        #{&}-TopMenu {
            background: var(--header-background);
        }
        @include desktop {
            border-bottom: var(--header-border);
        }
    }
}
.Theme_transparent-header {
    .Header {
        --header-background: transparent;
        --search-field-background: transparent;
        --search-field-visible-background: transparent;
        --header-border: 1px solid white;

        position: absolute;

        .SearchField-Input {
            color: #a3a3a3;
            background-color: transparent;
        }
    }
}

.Header-Button.Header-Button_type_minicart {
    opacity: 1 !important;
}

.prm {
    .Header {
        &-Title {
            color: $black;
            font-family: $font-work-sans;
            font-size: 20px;
            font-weight: 500;
            text-transform: uppercase;
            line-height: 20px;
        }

        &-InfoBar {
            background: #f5f5f5;

            @include before-desktop {
                display: none;
            }

            ul {
                color: #7a7a7a;
            }
        }

        &-Button {
            &_type_account,
            &_type_club,
            &_type_wishlist,
            &_type_minicart,
            &_type_menu,
            &_type_search {
                &::before {
                    filter: brightness(0);
                }
            }

            &_type_close {
                background-color: transparent;

                &::before,
                &::after {
                    top: 5.5px;
                    left: 13.5px;
                    background-color: $black;
                }
            }

            &_type_checkoutBack {
                color: #000;

                &::before {
                    @include small-arrow(7px, $black);
                }
            }
        }

        &-LogoWrapper {
            display: flex;
            align-items: center;
            justify-content: center;

            svg {
                width: 85px;
                height: auto;
            }
        }

        &-Count {
            border: 2px solid $white;
            color: $white;
            background: $black;
        }

        .Menu {
            &-ItemCaption_type_main {
                font-family: $font-work-sans;

                @include desktop {
                    font-size: 16px;
                }
            }
        }

        .Menu-MenuWrapper {
            .Menu-Link {
                color: var(--header-color);
            }
        }
    }
}
